<template>
  <div>
    <h1 class="mb-3">Do you experience any of the following in your personal life?</h1>
    <p class="text-base mb-6">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
        :input-value="choice"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      text="Next"
      @click="$emit('nextStage')"
      :disabled="!checkboxSelected.length"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import CommonBtn from "@/components/common/CommonBtn";
import {constants} from "@/constants";

export default {
  components: {CommonBtn, CheckboxInput},
  mixins: [checkboxMixin, answersMixin],
  name: "YourHealth24",
  data() {
    return {
      choices: [
        'Sexual fears or inhibitions', 'Problems finding partners',
        'Uncertain about my sexual identity', 'Subjected to emotional or sexual abuse',
        'Significant relationship problems with family members', 'Under considerable emotional or physical stress',
        'Had a significant recent change in employment or finances', constants.NONE_CHOICE,
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_24')
      }
    }
  }
}
</script>

<style scoped>

</style>
